package in.co.sdslabs.photosession;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

public class MainActivity extends Activity implements OnClickListener{

	Button newSession , resumeSession , joinSession;
	
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		newSession = (Button)findViewById(R.id.newSesion);
		resumeSession = (Button)findViewById(R.id.resumeSession);
		joinSession = (Button)findViewById(R.id.joinSession);
		
		newSession.setOnClickListener(this);
		resumeSession.setOnClickListener(this);
		joinSession.setOnClickListener(this);
		
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

	@Override
	public void onClick(View v) {
		
		switch(v.getId())
		{
		case R.id.newSesion :
		{
			Intent intent = new Intent (this , NewSession.class);
			startActivity(intent);
		}
		case R.id.resumeSession :
		{
			Intent intent = new Intent (this , ResumeSession.class);
			startActivity(intent);
		}
		case R.id.joinSession :
		{
			Intent intent = new Intent (this , JoinSession.class);
			startActivity(intent);
		}
		}
		
	}

}
